Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile
Class ProfileIdentity

    java.lang.Object
      |
      +--com.bea.p13n.usermgmt.profile.ProfileIdentity

public class ProfileIdentity
extends java.lang.Object
implements java.io.Serializable

Lightweight object to represent a profile's identity. This will contain some combination of username and groupname. If both are provided, the profile represents the user's profile, and the group is used as an explicit successor. If only a username is provided, it simply represents the user's profile. If only a groupname is proivded, it represents the group's profile.

See Also:
  `ProfileWrapper`, Serialized Form

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getGroupname()` retrieve the groupname
`java.lang.String` | `getUsername()` retrieve the username
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getUsername

    public java.lang.String getUsername()

  retrieve the username

### getGroupname

    public java.lang.String getGroupname()

  retrieve the groupname

### toString

    public java.lang.String toString()

  Returns:
    a string representation
  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  Returns:
    a hashCode based on the string representation
  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object other)

  Returns:
    true if the argument is a ProfileIdentity that is equal to this one
  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved